curl --request PUT \
--url https://api.cloud.corbado.io/v1/observe/labels/{labelID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.cloud.corbado.io/v1/observe/labels/{labelID}"
payload = {
"displayName": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', description: '<string>'})
};
fetch('https://api.cloud.corbado.io/v1/observe/labels/{labelID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"entityType": "<string>",
"entityID": "<string>",
"option": "<string>",
"createdMs": 123,
"updatedMs": 123,
"displayName": "<string>",
"description": "<string>"
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Update label
Updates an Observe label.
Required API key permission: observe:catalog:write.
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Path Parameters
Label ID (format lbl-<number>).
Body
Response
Label updated.
Label ID (format lbl-<number>).
Type of the labeled entity.
ID of the labeled entity. Applications use app-<number>, decisions use dec-<number>, decision
variants use dva-<number>, and decision options use the parent decision ID dec-<number>.
Sub-key within the labeled entity. Only used for entityType='decisionOption' where entityID references the decision and option holds the option name (e.g. "social-google"). Empty string for all other entity types.
Creation time in milliseconds since epoch.
Last update time in milliseconds since epoch.
Human-readable display name.
Description of the entity.
Was this page helpful?